curl "https://api.ionq.co/v0.4/backends/qpu.aria-1/characterizations/aa54e783-0a9b-4f73-ad2f-63983b6aa4a8" \
-H "Authorization: apiKey your-api-key"import requests
url = "https://api.ionq.co/v0.4/backends/{backend}/characterizations/{UUID}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.ionq.co/v0.4/backends/{backend}/characterizations/{UUID}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"backend": "<string>",
"connectivity": [
[
0,
1
],
[
0,
2
],
[
10,
9
]
],
"date": "2025-06-16T00:00:00Z",
"fidelity": {
"spam": {
"median": 0.9962,
"stderr": null
}
},
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"qubits": 25,
"timing": {
"readout": 123,
"reset": 123,
"1q": 123,
"2q": 123,
"t1": 10,
"t2": 1
}
}Get a Characterization
Retrieve detailed performance data for a characterization.
curl "https://api.ionq.co/v0.4/backends/qpu.aria-1/characterizations/aa54e783-0a9b-4f73-ad2f-63983b6aa4a8" \
-H "Authorization: apiKey your-api-key"import requests
url = "https://api.ionq.co/v0.4/backends/{backend}/characterizations/{UUID}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.ionq.co/v0.4/backends/{backend}/characterizations/{UUID}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"backend": "<string>",
"connectivity": [
[
0,
1
],
[
0,
2
],
[
10,
9
]
],
"date": "2025-06-16T00:00:00Z",
"fidelity": {
"spam": {
"median": 0.9962,
"stderr": null
}
},
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"qubits": 25,
"timing": {
"readout": 123,
"reset": 123,
"1q": 123,
"2q": 123,
"t1": 10,
"t2": 1
}
}Path Parameters
A backend where jobs can run on.
qpu.forte-1, qpu.forte-enterprise-1 A UUID identifying a specific resource
Response
Successfully retrieved current characterization
Quantum hardware characterization data.
The backend calibrated hardware: simulator, qpu.forte-1, qpu.forte-enterprise-1
An array of valid, unordered tuples of possible qubits for executing two-qubit gates (e.g., [[0, 1], [0, 2], [1, 2]])
[[0, 1], [0, 2], [10, 9]]
Date time of the measurement, in ISO format.
"2025-06-16T00:00:00Z"
Fidelity for single-qubit (1q) and two-qubit (2q) gates, and State Preparation and Measurement (spam) operations.
Currently provides only median fidelity; additional statistical data will be added in the future.
Show child attributes
Show child attributes
UUID of the characterization.
The number of qubits available.
x >= 125
Time, in seconds, of various system properties: t1 time, t2 time, 1q gate time, 2q gate time, readout time, and qubit reset time.
Show child attributes
Show child attributes
Was this page helpful?

